Subject: Re: bug#58531: 29.0.50; Wrong predicate used by map-elt gv getter

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Oct 2022 11:59:41 -0400

> (map--restore-advertised-signature): New convenience function.

I'm not convinced it's worth the trouble.
This new code will mostly be used in Emacs≥29 anyway (very few users
explicitly install `map` and most packages which depend on `map` don't
depend on a particularly recent version of `map` and hence won't trigger
installation of `map` from GNU ELPA).

The rest is fine by me.

        Stefan